Flex 4.6 SDK and Flash Builder 4.6 Updates Now Available.

The Flex and Flash Builder teams are excited to announce the availability of Flex 4.6 SDK and Flash Builder 4.6 updates. Flash Builder 4.6 is a free update to Flash Builder 4.5 and provides expanded support for mobile application development and all the tools you need to take advantage of the new features in Adobe AIR 3.0 and Flash Player 11.

A lot is included in this update, so much so that we couldn’t deliver it in the Adobe Application Manager.  This means Flash Builder 4.5 users won’t  automatically be notified about the update and will have to download the full Flash Builder 4.6 installer and enter their Flash Builder 4.5 serial number.

You can download the full installer  from Adobe.com. Please note: you must uninstall your previous version of Flash Builder 4.5 or 4.5.1 before installing 4.6.   By default the Flash Builder uninstall program will preserve your preferences and workspace so you can easily reimport them into Flash Builder 4.6.  If you require the standalone Flex 4.6 SDK, you can download the build from the Adobe opensource site.

84 Responses to Flex 4.6 SDK and Flash Builder 4.6 Updates Now Available.

  1. Srikanth says:

    Unfortunately I have checked the “Remove preferences” check box when I am uninstalling Flash Builder 4.5. Now I am installing Flash Builder 4.6.. How can I set the preferences and all for Flash Builder 4.6.

  2. Darwin says:

    I uninstalled FB 4.5.1 and installed FB 4.6. I experienced the same problem with FB 4.6 not accepting my FB 4.5.1 license. So, I followed the instructions given in the previous posts about installing it as a trial version.

    However, now, it keeps asking me to either provide a serial number or to continue to use the product as a trial, and it will not accept my FB 4.5.1 serial number.

    What do I do to get past this problem?

  3. Chris says:

    Hi, I’ve just come to the end of my 60-day trial of FB 4.6 and basically like the product and want to use it to develop mobile apps. Every day I’ve had the nag screen asking if I want to buy it. Yesterday I said yes and had my credit card ready. However in fact I can’t buy it! It’s not in the Adobe shop and all attempts have failed. From reading the posts above it seems that I have to already have FB 4.5. So am I right in saying my only way of getting it is to buy 4.5, install it, serialise it, uninstall it then reinstall 4.6, then put in the serial number for 4.5?

    I have to say if that’s the case I’m simply looking for another company which is willing to accept my money and give me their product without this kind of nonsense.

    • ahuselid says:

      You don’t have to uninstall/reinstall anything. Once you make your purchase of 4.5 (which has the free 4.6 update already applied), simply take the serial number you receive and enter it into your trial of FB4.6.

  4. Evan says:

    FB 4.6 keeps freezing momentarily while editing source code – during text entry, scrolling .. anything. This seems to have been mentioned a number of times both in this blog and elsewhere. It’s extremely hard to understand how Adobe could possibly have released a product with an obvious issue like this, and even more incredible that a fix hasn’t been released. I’d love to know what it’s doing to cause random lock ups like that, not I’d suspect Adobe of anything. Oh and of course if I want to raise a trouble ticket with Adobe, I’ve got to pay for it up front, then the burden is on me to claim/prove that it was a product fault before I may even be considered for a refund. How very impressive this whole experience is.

    • Assem Hakmeh says:

      The problem with momentary freezes is often related to JVM garbage collector. If you are familiar with eclipse, you know there is an .ini file where you can set vmargs for the IDE process. You can update your JVM to version 7 and tell it to use the G1 collector which is meant for server environment but I find works really for the IDE as well. Also increasing the amount of max heap size would help. Feel free to reply to this post if you need help with the specifics. Good luck!

  5. Joel says:

    Just reading one of the attempts at a solution:

    “Before uninstallation of FB 4.5.1, was FB 4.5.1 serialized with that CS 5.5 serial number?”

    I don’t really know what this means. Was I supposed to have a separate serial number for FB, I mean, separate from my over-all CS5.5 serial number? If I did, I didn’t know about it. Was I somehow supposed to “serialize” FB with my overall CS5.5 serial number?

    Also, I’m pretty sure I have 4.5 (although it’s not currently installed, as I uninstalled it), not 4.5.1.

    • Hi Joel
      i asked “Before uninstallation of FB 4.5.1, was FB 4.5.1 serialized with that CS 5.5 serial number?” just to confirm/debug that yes it was working with FB 4.5.1 and its a valid serial number that he is entering.

      No, you need not to have a separate serial number from your over-all CS5.5 serial number. CS 5.5 serial number will work for FB 4.6.

  6. Joel says:

    Just a problem like many others it seems – can’t install 4.6. Was working with 4.5 (premium I believe) from the full CS5.5 package. Tried uninstalling 4.5, downloading 4.6 trial, and entering the serial number from the box I got for CS5.5. Message: This serial number is invalid. Help please?!

    • Hi Joel
      Please install FB 4.6 as trial only. Launch FB and then enter CS 5.5 serial number on trial screen you get. It will work.

      • Tom Simon says:

        I upgraded to Flash Builder 4.6 so had to uninstall my CS 5.5. Flash Builder – when the key entry screen appeared I used my CS 5.5. key but it gave invalid error.

  7. Adam says:

    Flash Builder 4.6 is soooooooooooooooooo sloooooooooooooooooooow.

  8. Harry Garland says:

    How do I re-import the settings that were saved in Flash Builder 4.6?

  9. Edouard says:

    Hi,
    since I made the FB 4.6 upgrade from FB 4.5, it seems that it’s not possible to select more than one single word in the stageWebView I use for displaying html contents (with css styles and images) on iPad.
    Is there something I missed for enabling ‘select all’ or multi words selection in stageWebView ?
    On the other hand, is there a way to prevent textArea from being selectable (I tried the selectable and editable properties, with no success) ?
    Thanks.

  10. Jack says:

    Hi, I ‘m building an mobile application with 4.6 SDK and I encounter a problem with text binding in the s:TextInput. If we add the s:Scroller to the View and bind the textinput’s text with an random string, everytime I scroll up and down, the text in the textinput will move along and sometime disappear. I switch back to version 4.5 and everything works fine so hopefully, in the next release, we can solve this problem. I love the Date Spinner of 4.6 SDK

  11. Chris Manuel says:

    I just uninstalled FB 4.5.1 using the Creative Suite Master Collection 5.5 uninstaller.

    I installed FB 4.6 Premium, clicked trial version.

    Quit FB 4.6.

    On re-opening FB 4.6 it continues to ask for a serial number and my CS 5.5 Master Collection serial is not accepted.

    I guess I have 60 days for Adobe to sort this out.

    Sigh.

    • Hi Chris
      Before uninstallation of FB 4.5.1, was FB 4.5.1 serialized with that CS 5.5 serial number?
      What error message are you getting?Please try once again, install FB 4.6 as trial and then after launching enter CS 5.5 serial number.

      • Chris Manuel says:

        As usual with most technical problems: user error. Better that than pilot error I suppose. Anyway, after double checking the serial number I’d enter one digit wrong. It’s now accepting the serial number and all is good in the world.

        Thanks for the quick response.

  12. Nikos Kontis says:

    I currently own web premium CS 5.5 and contacted chat support regarding the issue and they informed that I am not entitle an update, I’ll have to buy the full software. I tried explaining that since it’s not a major release I am entitled to updates…but I received the same answer. So the answer for web premium cs5.5 owners is to either buy full version of Flash builder 4.6 or wait for web premium cs6 🙂

    shame shame adobe

    • Hi Nikos,
      You can update to Flash Builder 4.6. Download it and use the web premium CS5.5 key to serialize it. Before installing FB 4.6, uninstall Flash builder 4.5 as FB 4.5 and FB 4.6 can not co-exist on same system. Reply back if still it does not work for it.

      • Patrik Swartz says:

        I tried to update from 4.5 but it does not work.
        (I did uninstall the 4.5 first)

        Then I tried to use the Adobe CS5.5 Premium KEY that I got when I bought that product and when installing FB 4.6 it says “This serial number is not valid for this product.”

        Please help 🙂

        • Hi Patrik,
          Sorry for the problem you are facing. Please install FB 4.6 as trial only. After launching, on trial screen enter the CS5.5 Premium serial number. Also do check in Help > Deactivate Flash Builder, if its active or frozen. Let me know if it work.

  13. Salvador says:

    Im getting the following error on Flash CS5.5
    “the required version of flash builder 4.5 is not installed”

    Im guessing when I uninstalled FB 4.5 and upgraded the path got broken, but I cant seem
    to restore the link between the two programs. IE: Projects, editting classes in FB, etc.

    Any solution to this?
    Thanks

  14. Justin Buser says:

    The 4.6 SDK includes JSON support, if you are including your own JSON classes either directly or through a shared library you’ll have to remove them in order to use the new SDK.

  15. K Neuhaus says:

    Had installed FB 4.5 and CS5 (not as bundle, FB was not included in CS5-InstallationPackage).

    Uninstalled FB 4.5, restart, Install FB 4.6 (choosen trial-Version).
    Got this error:

    FATAL: Payload ‘{ED28819E-310F-4F17-925C-C69B0A1C1F7F} Suite Shared Configuration CS5.5 5.0.22.0’ information not found in Media_db.

    ???

    I think Installer found CS5 and tried to install any shared whatever, but there’s no shared needed, both products are installed an managed separately.
    Do I have to uninstall CS5 ?

  16. David says:

    Yet another pitiful shortcut you’ve taken when deploying FlashBuilder. We seem to be seeing a lot of this lately out of the Adobe Flex team.

    Deploy the entire program with update capability from 4.5 to 4.6, don’t just throw it out there and expect people to struggle with it’s lack of completeness in deployment/installation.

    Spend the effort please Flex team…you’ve got enough negative stuff rolling around regarding your strategy with Flash/Flashbuilder in the last few months to start doing things half-assed.

  17. Raja says:

    Can any one help me please? How to resolve the multiname reference error of JASON in Flex 4.6.

    Thanks,
    Raja

  18. Raja says:

    Hi, i have successfully installed FB 4.6 and I’m getting compilation errors Description Resource Path Location Type
    Can not resolve a multiname reference unambiguously. JSON (from /Applications/Adobe Flash Builder 4.6/sdks/4.6.0/frameworks/libs/air/airglobal.swc(JSON, Walker)) and com.adobe.serialization.json:JSON don’t know how to solve this. Can any one help me?

    Thanks,
    Raja.

  19. Steph says:

    Can’t download the blasted 4.6 trial. Keeps asking for a different save location. Dammit. Already uninstalled 4.5 from CS5.5, so completely stuck.

  20. Josh says:

    Ah, another FB update, another broken installation.

    Thanks for MORE UNPLANNED WORK HOURS. AGAIN.

  21. Owen Bennett says:

    I am unable to download the file. It gets a few MB into the download and then it gets cancelled. I’ve tried several times, using different connections, made sure I’m not behind a firewall etc. but it hasn’t worked.

    I’ve tried Chrome, Safari and Firefox.

  22. Awadhesh says:

    Is it possible to free upgradation of flash builder 4.5 to flash builder 4.6

  23. Awadhesh says:

    Is it possible to free upgrade of flash builder 4.5 to flash builder 406

  24. RJ Camarillo says:

    @Flex SDK team, please check this critical run-time error. We cannot migrate to 4.6 because of it 🙁 https://bugs.adobe.com/jira/browse/SDK-32051.

  25. Nikos says:

    Source code editing is very slow :((

  26. Wren says:

    +1
    agree with Travis.. the reality is that these products must be able to be installed side by side

  27. Gert Vanspringel says:

    Deinstalled FB 4.5 from web premium and installed FB 4.6. FB 4.6 keeps asking for serial and web premium 4.5 isn’t accepted.

  28. Hi,

    Maybe you could help me out here as I’ve search the web and Adobe forum but could not find any answer.

    I just installed Flash Builder 4.6 (after uninstalling 4.5.1), now when I run my app, the adl.exe crashes (error details below). I thought because I have an app that was created with 4.5, but then I created a new app with this version and it still crash. I have Windows 7 64-bit PC.

    Thanks so much. Any help is greatly appreciated.

    Error details:

    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: adl.exe
    Application Version: 3.1.0.4880
    Application Timestamp: 4eb7612e
    Fault Module Name: Adobe AIR.dll
    Fault Module Version: 3.1.0.4880
    Fault Module Timestamp: 4eb75fb9
    Exception Code: c0000005
    Exception Offset: 000a8a5b
    OS Version: 6.1.7600.2.0.0.256.48
    Locale ID: 1033
    Additional Information 1: 0a9e
    Additional Information 2: 0a9e372d3b4ad19135b953a78882e789
    Additional Information 3: 0a9e
    Additional Information 4: 0a9e372d3b4ad19135b953a78882e789

    Read our privacy statement online:
    http://go.microsoft.com/fwlink/?linkid=104288&clcid=0×0409

    If the online privacy statement is not available, please read our privacy statement offline:
    C:\Windows\system32\en-US\erofflps.txt

    And more error message below:

    Process terminated unexpectedly.

    Launch command details: “C:\Program Files (x86)\Adobe\Adobe Flash Builder 4.6\sdks\4.6.0 (AIR 3.1)\bin\adl.exe” -runtime “C:\Program Files (x86)\Adobe\Adobe Flash Builder 4.6\sdks\4.6.0 (AIR 3.1)\runtimes\air\win” -profile mobileDevice -screensize 320×460:320×480 -XscreenDPI 163 -XversionPlatform IOS “C:\Users\myPC\Adobe Flash Builder 4.6\MobileLab\bin-debug\MobileLab-app.xml” “C:\Users\myPC\Adobe Flash Builder 4.6\MobileLab\bin-debug”

    • Brijesh says:

      For you, does ADL crash for every app or only one specific app with Flash Builder 4.6 ?

    • Hari(Adobe) says:

      Hi,
      1. Is it that the ADL Crash is happening every time you run the application?
      If so can you try running it from the command line.
      Open the installed directory of FlashBuilder and point it to bin folder of 4.6 SDK and type this command.
      adl “PATH OF APPLICATIONNAME-APP.XML FILE” and check if the adl is launched.

      2. If the ADL crash is intermittent, please send me the steps to reproduce the issue. at hkallaeATadobeDOTcom

  29. garral says:

    I can’t install Flash Builder 4.6, after uninstalling FB 4.5.
    I get this error (French install) : “Le programme d’installation a rencontré une erreur (-1) lors de l’
    installation. Redémarrez votre ordinateur et réessayez.”

  30. Re: Creative Suite Serial Number Issues w/ Flash Builder 4.6

    The same update process that worked for Flash Builder 4.5.1 for Creative Suite Installations will work with Flash Builder 4.6.

    1. Uninstall Flash Builder 4.5/4.5.1 (including the iOS component)
    2. Install Flash Builder 4.6
    3. Launch Flash Builder and when asked to provide a serial number, select the “Trial” option.
    4. Upon first launch, Flash Builder will recognize your Creative Suite install and automatically apply the licensing. Subsequent launches for Flash Builder should not ask you about the serial number or trial.

  31. don says:

    third here, 4 phone calls with different adobe over several hours today and still no resolution

  32. Filippo says:

    I installed fb 4.6 and remove fb 4.5 but the serial number of creative suite cs 5.5 doesn’t work!

    why?

    can you help me?

  33. Manish says:

    I have installed the Flash Builder 4.6 and entering the flash builder 4.5 key but it not accepting it says me that the key is expired. I have to install the trail version. it really SUCKS!! 🙁

  34. Cotton says:

    So will the self update functional from FB 4.5 to FB 4.6 working eventually (Help – Search for Flash Builder Updates…)?

  35. George says:

    Uninstalled FB 4.5 from web premium 5.5, but license of web premium seems not work for FB 4.6.

    Anyone know how?

    • Mark says:

      I second that. It would not accept the CS5.5 serial number.

      • turntable says:

        Web Premium here too. It says “This serial number is not valid for this product.”
        So I guess the “free update” applies only to standalone Flash Builder owners.
        DO NOT TRY UPDATE IF YOU HAVE WEB PREMIUM 5.5

    • marco says:

      Some official info about this would be really appreciated. I have Web Premium 5.5 too.

    • Gepatto says:

      Damn , wish I had read this before I uninstalled… I’m stuck on location without my dvd or serial number, so I can’t even reinstall FB4.5 … This is costing me money!!

    • Dammit, fail again. No way this shouldn’t already have an answer.

    • George says:

      I got reply from devGirlFL(Deepa had similar reply as well):
      ————–
      Intall as trial first and it should pick up your serial on next launch….
      ————–

      So no worries, just install as trial and everything will be okey soon later.

      • marco says:

        “Intall as trial first and it should pick up your serial on next launch”

        No, this did not happen. FB is still asking me the serial number…

        • George says:

          You need make sure you uninstalled FB 4.5.1 with CS5.5 installation manager first. Then install new FB 4.6

          I don’t have any problem. After installed as trial, the second launch didn’t ask any serial number.

          I changed to the workspace used in 4.5.1, everything back even FB settings such as code templates.

      • michal says:

        Hi guys – those trick with install trial and type serial after first run worked with prerelease 4.6 version – but now – with version 4.6 from adobe download it just dont working – so it’s going me crazy! Why!?

  36. AQOne says:

    You cannot uninstall just Flash Builder 4.5 from the Web Premium install. How do you install FB 4.6 when 4.5 came with a Suite? I’ve also heard of FB 4.6 not accepting the FB 4.5 license code.

    How do you install FB 4.6 to CS 5.5 Web Premium Suite?

    • Aaron says:

      Yes you can, there is an installation manager that allows you to remove single items from a suite. If you’re using OS X, You’ll find it along with other Adobe installation tools in Applications/Utilities

      • AQOne says:

        Alas, I don’t see anything like that in Windows 7. Anyone know the name of the application and where to find it on Windows?

        • Aaron says:

          Just checked on a Win 7 system. You actually click uninstall from Control Panel -> Programs -> Programs and Features. It pops the utility that lets you selectively uninstall applications.

          • AQOne says:

            Excellent information! Finally, someone with at least part of the answer!

            Thank you.

          • Nicolas says:

            I’m also have this concern about updating FB to 4.6 within Creative Suite 5.5. Ok for the uninstall part, but what about the serial? I did not tried it yet but will the Suite’s serial work on Flash Builder 4.6? Usually, you have to get a distinct serial to install a separate product. Any answer about that? Thanks

  37. EM says:

    I have FB installed with CS web premium. How do I update that product? Uninstall the whole thing? Just FB? Is the new FB in the CS trial versions?

  38. James Peredo says:

    awesome job guys, thank you for a great product.

  39. Jayant says:

    I have Flash Builder 4.5 for php premium. Will there be a special 4.6 version for that of what? Or do i have to like downgrade now?

  40. xirka says:

    what about Flash Builder 4.6 for php?

  41. TuTone says:

    If I already have FB / Flex 4.6 installed as the pre-release, is it necessary to download the version released today, or is the pre-release the same?

    • Mike says:

      I’m in the same boat – I participated in the pre-release and have 4.6 installed. I cant find any recommendations on the right thing to do here. Logically, I presume the 4.6 version should be removed, the 4.5 reinstalled and then upgraded to 4.6

      As a thank you for helping with 4.6, I would have, at least, expected some instructions as to how to wrap things up correctly in order to move forward.

  42. The requirement that FB 4.5 must be uninstalled before installing 4.6, shows that Adobe doesn’t understand the real world use of their products.

    Developers are often required to work on multiple projects. Each project has it’s own requirements, and upgrade timelines. Developers will inevitably have one project in 4.5, and another in 4.6. The requirement listed in bold above means that, for the first time in FB history, developers cannot satisfy their project’s tool set requirements.

    I still have projects that use FB 3.0, because the customer doesn’t have the resources to upgrade, and 3.0 satisfies the requirements. This forced removal of still valuable software is totally unacceptable.

    • You can just add different Flex SDK verions into one Flash Builder.

    • Aaron says:

      Further, you can keep 3.0, 4.0, and 4.6 installed together. This is solely 4.5 and 4.6, and there are no specific IDE functions between those two that would cause the deal-breaking scenario you describe as you can add an older Flex SDK to 4.6.

    • creacog says:

      Fb 4.6 will of course compile against various SDK versions including 4.5 and 4.5.1 but there *ARE* IDE functions that differ.
      For example: running Fb 4.6 with a 4.5 SDK project you’ll probably encounter : “SDK incompatible with Design Mode – The Design Mode is disabled as the project uses an incompatible version of the SDK”.
      Frankly not a deal-breaker for me, but a significant difference which would be a zero issue if these builder versions could have been installed side-by-side.